Get order history
Retrieve the history of Dual Investment orders, filterable by order, product, underlying, state, and time range.
Authentication
OK-ACCESS-KEYstring
Your API key.
OK-ACCESS-SIGNstring
Base64-encoded HMAC-SHA256 signature of the prehash string.
OK-ACCESS-TIMESTAMPstring
ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
OK-ACCESS-PASSPHRASEstring
The passphrase you set when creating the API key.
Query parameters
ordId
Order ID.
productId
Product ID.
uly
Underlying, e.g. BTC-USDT.
state
Order state.
beginId
Pagination of data to return records newer than the requested order ID.
endId
Pagination of data to return records earlier than the requested order ID.
begin
Filter with a begin timestamp (based on cTime), Unix timestamp in milliseconds.
end
Filter with an end timestamp (based on cTime), Unix timestamp in milliseconds.
limit
Number of results per request. The maximum and default are both 100.
Response
Successful response
code
Result code. 0 means success; any other value is an error code.
msg
Error message. Empty on success.
data

